unit Unit1;

interface

uses
  Windows, SysUtils, Messages, Classes, Graphics, Controls, Forms, Dialogs, 
  StdCtrls, ExtCtrls, Buttons, EMsgDlg;

type
  TFrmMain = class(TForm)
    MsgDlg1: TEvMsgDlg;
    Panel1: TPanel;
    RGrpMessageType: TRadioGroup;
    GBoxMensagem: TGroupBox;
    EdtTexto: TEdit;
    BtnExecutar: TButton;
    GBoxBotoes: TGroupBox;
    CBoxSim: TCheckBox;
    CBoxNao: TCheckBox;
    CBoxOK: TCheckBox;
    CBoxCancelar: TCheckBox;
    CBoxAbortar: TCheckBox;
    CBoxRepetir: TCheckBox;
    CBoxIgnorar: TCheckBox;
    CBoxTodos: TCheckBox;
    CBoxAjuda: TCheckBox;
    RGrpBeep: TRadioGroup;
    GBoxSetBotoes: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    EdtLargura: TEdit;
    EdtAltura: TEdit;
    EdtEspacamento: TEdit;
    RGrpGlyphs: TRadioGroup;
    GBoxBotaoDefault: TGroupBox;
    CBoxBotaoDefault: TComboBox;
    Label1: TLabel;
    Label5: TLabel;
    EdtSeparador: TEdit;
    RGrpIcone: TRadioGroup;
    GBoxPosicao: TGroupBox;
    RBtnPosicaoSim: TRadioButton;
    RBtnPosicaoNao: TRadioButton;
    Label6: TLabel;
    Label7: TLabel;
    EdtPosicaoX: TEdit;
    EdtPosicaoY: TEdit;
    BtnFonteBotao: TButton;
    BtnFonteTexto: TButton;
    FontDialog1: TFontDialog;
    procedure FormActivate(Sender: TObject);
    procedure RBtnPosicaoSimClick(Sender: TObject);
    procedure RBtnPosicaoNaoClick(Sender: TObject);
    procedure BtnFonteBotaoClick(Sender: TObject);
    procedure BtnFonteTextoClick(Sender: TObject);
    procedure EdtNumeroKeyPress(Sender: TObject; var Key: Char);
    procedure BtnExecutarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.DFM}

procedure TFrmMain.FormActivate(Sender: TObject);
begin
  CBoxBotaoDefault.ItemIndex := 1;
end;

procedure TFrmMain.RBtnPosicaoSimClick(Sender: TObject);
begin
  RBtnPosicaoNao.Checked := False;
  EdtPosicaoX.Enabled := False;
  EdtPosicaoY.Enabled := False;
end;

procedure TFrmMain.RBtnPosicaoNaoClick(Sender: TObject);
begin
  RBtnPosicaoSim.Checked := False;
  EdtPosicaoX.Enabled := True;
  EdtPosicaoY.Enabled := True;
  EdtPosicaoX.SetFocus;
end;

procedure TFrmMain.BtnFonteBotaoClick(Sender: TObject);
begin
  FontDialog1.Font.Assign(MsgDlg1.ButtonFont);
  if FontDialog1.Execute then
    MsgDlg1.ButtonFont.Assign(FontDialog1.Font);
end;

procedure TFrmMain.BtnFonteTextoClick(Sender: TObject);
begin
  FontDialog1.Font.Assign(MsgDlg1.MessageFont);
  if FontDialog1.Execute then
    MsgDlg1.MessageFont.Assign(FontDialog1.Font);
end;

procedure TFrmMain.EdtNumeroKeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9', Chr(VK_DELETE), Chr(VK_BACK)]) then
    Key := #0;
end;

procedure TFrmMain.BtnExecutarClick(Sender: TObject);
begin
  {tipo de mensagem}
  case RGrpMessageType.ItemIndex of
    0: MsgDlg1.MessageType := mtInformation;
    1: MsgDlg1.MessageType := mtConfirmation;
    2: MsgDlg1.MessageType := mtError;
    3: MsgDlg1.MessageType := mtWarning;
    4: MsgDlg1.MessageType := mtCustom;
  end;
  {beep}
  case RGrpBeep.ItemIndex of
    0: MsgDlg1.BeepSound := bsNone;
    1: MsgDlg1.BeepSound := bsAsterix;
    2: MsgDlg1.BeepSound := bsCriticalStop;
    3: MsgDlg1.BeepSound := bsDefault;
    4: MsgDlg1.BeepSound := bsExclamation;
    5: MsgDlg1.BeepSound := bsQuestion;
  end;
  {botes}
  MsgDlg1.Buttons := [];
  if CBoxSim.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbYes];
  if CBoxNao.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbNo];
  if CBoxOK.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbOK];
  if CBoxCancelar.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbCancel];
  if CBoxAbortar.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbAbort];
  if CBoxRepetir.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbRetry];
  if CBoxIgnorar.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbIgnore];
  if CBoxTodos.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbAll];
  if CBoxAjuda.Checked then
    MsgDlg1.Buttons := MsgDlg1.Buttons + [mbHelp];
  {aspecto dos botes}
  MsgDlg1.BtnHeight := StrToInt(EdtAltura.Text);
  MsgDlg1.BtnSpace := StrToInt(EdtEspacamento.Text);
  MsgDlg1.BtnWidth := StrToInt(EdtLargura.Text);
  {mensagem e separador}
  MsgDlg1.Text := EdtTexto.Text;
  MsgDlg1.LineSeparator := EdtSeparador.Text[1];
  {centralizar}
  if RBtnPosicaoSim.Checked then
    MsgDlg1.Style := msCenter
  else
    begin
      MsgDlg1.Style := msPosition;
      MsgDlg1.PosLeft := StrToInt(EdtPosicaoX.Text);
      MsgDlg1.PosTop := StrToInt(EdtPosicaoY.Text);
    end;
  {glyphs}
  if RGrpGlyphs.ItemIndex = 0 then
    MsgDlg1.ShowGlyph := True
  else
    MsgDlg1.ShowGlyph := False;
  {cone}
  if RGrpIcone.ItemIndex = 0 then
    MsgDlg1.ShowIcon := True
  else
    MsgDlg1.ShowIcon := False;
  {boto default}
  MsgDlg1.DefaultButton := TMsgDlgBtn(CBoxBotaoDefault.ItemIndex);
  {executar}
  MsgDlg1.Execute;
end;

end.
